Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events.cbe
Interface SituationType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, java.io.Serializable

All Known Subinterfaces:
  AvailableSituation, ConfigureSituation, ConnectSituation, CreateSituation, DependencySituation, DestroySituation, FeatureSituation, OtherSituation, ReportSituation, RequestSituation, StartSituation, StopSituation

All Known Implementing Classes:
  AvailableSituationImpl, ConfigureSituationImpl, ConnectSituationImpl, CreateSituationImpl, DependencySituationImpl, DestroySituationImpl, FeatureSituationImpl, OtherSituationImpl, ReportSituationImpl, RequestSituationImpl, SituationTypeImpl, StartSituationImpl, StopSituationImpl

public interface SituationType
extends org.eclipse.emf.ecore.EObject, java.io.Serializable

A representation of the model object 'Situation Type'.

The situationType specifies the type or category of the situation that caused the event to be reported. The categorization of situations facilitates the building of tools that focus on implementing the analysis and planning functions rather than on product-specific data formats. The data type for this property is a complex type. The situation types or categories are defined below. SituationType is an abstract element that is used to define all supported situation types (for example, StartSituation, StopSituation, etc...).

The simplest way to understand the usefulness of categorization is by providing a use case. For example, assume that a problem has been detected with component 'A'. The first step in the root cause analysis might be to check to see if 'x' was actually started, since it is known that 'A' has a dependency on 'x'. One approach to determine if 'x' is running is to check the log file for 'x' to see if it has started. The problem from a programmatic perspective is that there is not standard way to check the log files to see if 'x' has started. 'x' might log "Component 'x' started" or it might log "Change server state from starting to running". The reality is that both of these messages provide the same information, but they provide it using different terminology, making it difficult for a program to use. Simple checks like this would be much easier if all components reported, for example, that they "started". Writing code to check dependencies would be much easier and would be, largely, component independent. For example, if product 'A' had dependencies on 'x' and 'y', the code to check the status of 'x' and the code to check the status of 'y' would be the same, in both cases, it would look for a 'started' message.

Since:
  1.0.1

  The following features are supported:

  - `Reasoning Scope`
Version:
  1.0.1
Author:
  Denilson Nastacio
See Also:
  `EventPackage.getSituationType()`

Method Summary
`java.lang.String` | `getReasoningScope()` Returns the value of the 'Reasoning Scope' attribute.
`void` | `init()` Resets the object's properties to their initial (e.g.
`void` | `setReasoningScope(java.lang.String value)` Sets the value of the '`Reasoning Scope`' attribute.
`void` | `validate()` Checks whether the contents of the instance conform to the CBE specification.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getReasoningScope

    public java.lang.String getReasoningScope()

  Returns the value of the 'Reasoning Scope' attribute.

  Returns:
    the value of the 'Reasoning Scope' attribute.
  See Also:
    `setReasoningScope(String)`, `EventPackage.getSituationType_ReasoningScope()`

### setReasoningScope

    public void setReasoningScope(java.lang.String value)

  Sets the value of the '`Reasoning Scope`' attribute.

  This property specifies the scope of the impact of the situation reported. The initial set of values is described following this table. This is a required property. The string length for this property must not exceed 64 characters.

  Parameters:
    `value` - the new value of the 'Reasoning Scope' attribute.
  See Also:
    `getReasoningScope()`

### validate

    public void validate()
                  throws ValidationException

  Checks whether the contents of the instance conform to the CBE specification.

  Throws:
    `ValidationException` - if the situation type does not follow the CBE specification.

### init

    public void init()

  Resets the object's properties to their initial (e.g. null) state. All components are initialized to either zero or null.

  Since:
    1.0

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD